<img src="media/logo/ic_app.png" height="100px" />

# Hash Checker Lite

<a href="https://github.com/hash-checker/hash-checker-lite/releases">
  <img src="media/banners/bn_github.png" height="75px" />
</a>
<a href="https://play.google.com/store/apps/details?id=com.smlnskgmail.jaman.hashcheckerlite">
  <img src="media/banners/bn_google_play.png" height="75px" />
</a>
<a href="https://www.androidfilehost.com/?w=files&flid=316844">
  <img src="media/banners/bn_android_file_host.png" height="75px" />
</a>

[![GitHubActions](https://github.com/hash-checker/hash-checker-lite/workflows/Build/badge.svg)](https://github.com/hash-checker/hash-checker-lite/actions?query=workflow%3ABuild)
[![Codacy](https://api.codacy.com/project/badge/Grade/cf1f8beb6a5340e49ca32425ab44462d)](https://app.codacy.com/gh/hash-checker/hash-checker-lite?utm_source=github.com&utm_medium=referral&utm_content=hash-checker/hash-checker-lite&utm_campaign=Badge_Grade)
[![Codecov](https://codecov.io/gh/hash-checker/hash-checker-lite/branch/master/graph/badge.svg)](https://codecov.io/gh/hash-checker/hash-checker-lite)
[![Android Arsenal](https://img.shields.io/badge/Android%20Arsenal-Hash%20Checker%20Lite-green.svg?style=flat)](https://android-arsenal.com/details/1/8155)

## About application

Fast and simple application for generating and comparison hashes from files or text. Lite version of [Hash Checker](https://github.com/hash-checker/hash-checker).

## Original app and lite version comparison

| Feature | [Hash Checker](https://github.com/hash-checker/hash-checker) | Hash Checker Lite |
| --- | --- | --- |
| MD5 support | + | + |
| SHA-1 support | + | + |
| SHA-224 support | + | + |
| SHA-256 support | + | + |
| SHA-384 support | + | + |
| SHA-512 support | + | + |
| CRC-32 support | + | + |
| Language switch | + | + |
| Inner File Manager | + | |
| History | + | |
| User data export | + | |
| Vibration | + | |

## Translation

You can help with translation on [OneSky](https://osbvnmv.oneskyapp.com/collaboration/project?id=353871).

## Screenshots (Light theme)

<br/>
<p align="center">
  <img src="media/screenshots/screenshot_01.png" width="130" />
  <img src="media/screenshots/screenshot_02.png" width="130" />
  <img src="media/screenshots/screenshot_03.png" width="130" />
  <img src="media/screenshots/screenshot_04.png" width="130" />
  <img src="media/screenshots/screenshot_05.png" width="130" />
</p>

## Screenshots (Dark theme)

<br/>
<p align="center">
  <img src="media/screenshots/screenshot_06.png" width="130" />
  <img src="media/screenshots/screenshot_07.png" width="130" />
  <img src="media/screenshots/screenshot_08.png" width="130" />
  <img src="media/screenshots/screenshot_09.png" width="130" />
  <img src="media/screenshots/screenshot_10.png" width="130" />
</p>

## How to use

* [H2S Media](https://www.how2shout.com/how-to/how-to-calculate-the-hash-of-a-file-or-create-custom-hash-on-android.html)

## Privacy Policy

* [Web version](https://fartem.github.io/hash-checker-privacy-policy.io/)

## Feedback

If you have any question or feature idea for app, you can open issue on [this page](https://github.com/hash-checker/hash-checker-lite/issues) or contact me by email jaman.smlnsk@gmail.com.

## How to contribute

Read [Commit Convention](https://github.com/fartem/repository-rules/blob/master/commit-convention/COMMIT_CONVENTION.md). Make sure your build is green before you contribute your pull request. Then:

```shell
$ ./gradlew clean
$ ./gradlew build
$ ./gradlew -Pandroid.testInstrumentationRunnerArguments.class=com.smlnskgmail.jaman.hashcheckerlite.AndroidTestSuite connectedCheck
```

If you don't see any error messages, submit your pull request.

## Contributors

* [@fartem](https://github.com/fartem) as Artem Fomchenkov
* [@Marwa-Eltayeb](https://github.com/Marwa-Eltayeb) as Marwa Said
* [@vaqueraexe](https://github.com/vaqueraexe) as Sergio Amaya
* [@jayagrawal254](https://github.com/jayagrawal254) as jay agrawal
* [@firaja](https://github.com/firaja) as David Bertoldi
